Cambrian List Pools API

By Cambrian Network solana

GET /api/v1/solana/raydium-clmm/pools

Raydium CLMM Pools

Overview

Lists basic pool information for all Raydium CLMM (Concentrated Liquidity Market Maker) pools on Solana. Returns core identifying and configuration data for each pool, including token pairs, fee tier, and tick spacing.

Business Value

  • Pool Discovery: Identify and analyze all available Raydium CLMM pools for trading and liquidity provision opportunities
  • Market Intelligence: Track new pool creation activity and monitor the expansion of the Raydium ecosystem
  • Trading Strategy: Access complete pool metadata to develop informed trading strategies based on fee tiers and token pairs
  • Portfolio Management: Evaluate potential liquidity mining opportunities across different fee structures
  • DeFi Analytics: Perform comprehensive analysis of the Raydium CLMM ecosystem for research and investment decisions

Endpoint Details

URL:

https://api.cambrian.org/solana/raydium-clmm/pools

Method: GET
Authentication: Required via X-API-Key header

Query Parameters

Parameter Type Required Default Description
limit integer No 100 Maximum number of pool records to return per page
offset integer No 0 Number of pool records to skip, for pagination

Response Field Descriptions

Response Field Type Description
poolAddress FixedString(44) On-chain address of the Raydium CLMM pool
chainId UInt16 Chain identifier for the pool (900 = Solana)
dexAddress FixedString(44) Program address of the Raydium CLMM DEX
dexName String Human-readable DEX name ("Raydium CLMM")
token0Address FixedString(44) Mint address of the first token in the pair
token0Symbol String Symbol of the first token in the pair
token0Decimals UInt8 Decimal precision of the first token
token1Address FixedString(44) Mint address of the second token in the pair
token1Symbol String Symbol of the second token in the pair
token1Decimals UInt8 Decimal precision of the second token
createdAt DateTime('UTC') Timestamp when the pool was created
fee UInt32 Fee tier of the pool, in hundredths of a basis point
tickSpacing UInt16 Tick spacing configured for the pool

Examples

1. List Raydium CLMM Pools (default paging)

Retrieves the default page of Raydium CLMM pools with no explicit paging parameters.

curl -X GET "https://api.cambrian.org/solana/raydium-clmm/pools" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"

Response:

[
  {
    "columns": [
      {
        "name": "poolAddress",
        "type": "FixedString(44)"
      },
      {
        "name": "chainId",
        "type": "UInt16"
      },
      {
        "name": "dexAddress",
        "type": "FixedString(44)"
      },
      {
        "name": "dexName",
        "type": "String"
      },
      {
        "name": "token0Address",
        "type": "FixedString(44)"
      },
      {
        "name": "token0Symbol",
        "type": "String"
      },
      {
        "name": "token0Decimals",
        "type": "UInt8"
      },
      {
        "name": "token1Address",
        "type": "FixedString(44)"
      },
      {
        "name": "token1Symbol",
        "type": "String"
      },
      {
        "name": "token1Decimals",
        "type": "UInt8"
      },
      {
        "name": "createdAt",
        "type": "DateTime('UTC')"
      },
      {
        "name": "fee",
        "type": "UInt32"
      },
      {
        "name": "tickSpacing",
        "type": "UInt16"
      }
    ],
    "data": [
      [
        "Ax2g3wLJEcyaxAXyVZm9NZ65wYpFfdCZAYm2MLEbtKjM",
        900,
        "CAMMCzo5YL8w4VFF8KVHrK22GGUsp5VTaW7grrKgrWqK",
        "Raydium CLMM",
        "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
        "USDT",
        6,
        "GtXn1D1BV9WdtqjCBhaSfXm92oc3fo17rt3hoMreQk8L",
        "FEFER",
        9,
        "2026-08-04T22:36:06+00:00",
        40000,
        120
      ],
      [
        "2gvSrNosXFXxJNSQyeRY25EdiwtFERsbKFQjb4dRXYCt",
        900,
        "CAMMCzo5YL8w4VFF8KVHrK22GGUsp5VTaW7grrKgrWqK",
        "Raydium CLMM",
        "5LJgBtMQv6NP7rqYJFY1Rcht6e3zUqUJSerzPvHf2L4C",
        "FEFER",
        9,
        "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
        "USDT",
        6,
        "2026-08-04T22:34:14+00:00",
        40000,
        120
      ],
      [
        "Dr5R4T7B68gD85iV7vrzB1WLfZrrHphMZVRS5tB3oyMy",
        900,
        "CAMMCzo5YL8w4VFF8KVHrK22GGUsp5VTaW7grrKgrWqK",
        "Raydium CLMM",
        "Fo8rGRg4bfgJPMN5Xdpc9TXX52Z3uB5UgkugCSYM68u4",
        "EUROPOOR",
        9,
        "HzwqbKZw8HxMN6bF2yFZNrht3c2iXXzpKcFu7uBEDKtr",
        "EURC",
        6,
        "2026-08-04T22:32:04+00:00",
        40000,
        120
      ],
      [
        "EyJfEjtZ9ZqWh4x8VNtwYvGqy5Uu5S3S13u7THroxQc5",
        900,
        "CAMMCzo5YL8w4VFF8KVHrK22GGUsp5VTaW7grrKgrWqK",
        "Raydium CLMM",
        "HZKoNa36QMrrqiRzS2TXTv1pk94L3YbAsePnhKD9JzMG",
        "KEKE",
        6,
        "J2VABMu4MSZRdpUrmAFsiY1cUmH12EW8TrwGYbssdbYp",
        "USDKEK",
        6,
        "2026-08-04T15:56:58+00:00",
        20000,
        120
      ],
      [
        "5kD59M5WgYYq4jvGcaeYxVswZG7p69pWAaEm9kSgGqMy",
        900,
        "CAMMCzo5YL8w4VFF8KVHrK22GGUsp5VTaW7grrKgrWqK",
        "Raydium CLMM",
        "So11111111111111111111111111111111111111112",
        "SOL",
        9,
        "FGc5bVp6LQUpF2AKigkedsp3cPxSbgZLAUEKqXReXBXP",
        "STEST",
        6,
        "2026-08-04T11:04:05+00:00",
        20000,
        120
      ],
      [
        "2P9trwoT1kVKngH91Acg4qb6gNsx2UZNiiJyAd3fceqZ",
        900,
        "CAMMCzo5YL8w4VFF8KVHrK22GGUsp5VTaW7grrKgrWqK",
        "Raydium CLMM",
        "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
        "USDC",
        6,
        "Hnnhwcoc93ubGA9CcCL77jdC8TZZz1vhgSpAjYvJiS6M",
        "MVP",
        9,
        "2026-08-03T21:19:58+00:00",
        100,
        1
      ],
      [
        "25NZH72VUBWbduLgKaiozGoCsSQQpWWWMje2aBUS4K7U",
        900,
        "CAMMCzo5YL8w4VFF8KVHrK22GGUsp5VTaW7grrKgrWqK",
        "Raydium CLMM",
        "5dUXcCLVpqeYsXn5aqkwAAa2pd3esLDquU8ZGqheKNXe",
        "USCC",
        9,
        "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
        "USDC",
        6,
        "2026-08-03T21:13:03+00:00",
        100,
        1
      ],
      [
        "8Ec5rbL1oZbutBFCmAsKxuc4Bj6z1i9BAnTxmKUXukyj",
        900,
        "CAMMCzo5YL8w4VFF8KVHrK22GGUsp5VTaW7grrKgrWqK",
        "Raydium CLMM",
        "ERrafZVDRdpMuAkmZmeuSqUCjSYicQDXNsd7UdKAgMKY",
        "KEKED",
        6,
        "J2VABMu4MSZRdpUrmAFsiY1cUmH12EW8TrwGYbssdbYp",
        "USDKEK",
        6,
        "2026-08-03T13:48:39+00:00",
        20000,
        120
      ],
      [
        "BhoPMnPM7nhdeCBPX3mzgMBF8xSGMcodVwaE2wgGFJTG",
        900,
        "CAMMCzo5YL8w4VFF8KVHrK22GGUsp5VTaW7grrKgrWqK",
        "Raydium CLMM",
        "8Z3xYDeo8mvAf7EChbQtzKF1weguzETeRtHyCzNhpteY",
        "MVP",
        9,
        "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
        "USDC",
        6,
        "2026-08-03T07:16:10+00:00",
        100,
        1
      ],
      [
        "D7MQsffMqa6tDVJDN5RArivg7uubz8PGfD5Trq2zhUyE",
        900,
        "CAMMCzo5YL8w4VFF8KVHrK22GGUsp5VTaW7grrKgrWqK",
        "Raydium CLMM",
        "CcZHWC3jB6hHNZFqkxGJm2H7ESNQbFQvQR1iRghWSpCE",
        "RDUS",
        9,
        "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
        "USDC",
        6,
        "2026-08-02T18:54:58+00:00",
        100,
        1
      ]
    ],
    "rows": 100
  }
]

The result collection above is limited to its first 10 items for documentation purposes; the live rows value (100) reflects the actual page size returned by the API. Each row represents a distinct Raydium CLMM pool with its token pair, fee tier, and creation time.

2. Paginate Through Pools with limit and offset

Uses limit and offset to retrieve a specific page of results, useful for iterating through the full pool list.

curl -X GET "https://api.cambrian.org/solana/raydium-clmm/pools?limit=5&offset=10" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"

Response:

[
  {
    "columns": [
      {
        "name": "poolAddress",
        "type": "FixedString(44)"
      },
      {
        "name": "chainId",
        "type": "UInt16"
      },
      {
        "name": "dexAddress",
        "type": "FixedString(44)"
      },
      {
        "name": "dexName",
        "type": "String"
      },
      {
        "name": "token0Address",
        "type": "FixedString(44)"
      },
      {
        "name": "token0Symbol",
        "type": "String"
      },
      {
        "name": "token0Decimals",
        "type": "UInt8"
      },
      {
        "name": "token1Address",
        "type": "FixedString(44)"
      },
      {
        "name": "token1Symbol",
        "type": "String"
      },
      {
        "name": "token1Decimals",
        "type": "UInt8"
      },
      {
        "name": "createdAt",
        "type": "DateTime('UTC')"
      },
      {
        "name": "fee",
        "type": "UInt32"
      },
      {
        "name": "tickSpacing",
        "type": "UInt16"
      }
    ],
    "data": [
      [
        "F4Ye9gU2ae28KxBX9XsztDhpLyePnDnkGJeS4iki8hgF",
        900,
        "CAMMCzo5YL8w4VFF8KVHrK22GGUsp5VTaW7grrKgrWqK",
        "Raydium CLMM",
        "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
        "USDC",
        6,
        "HeTfUDwPzcLR9VTDwakLrteqJTLannBRjGrDFk7hDy7S",
        "OKUD",
        9,
        "2026-08-02T18:28:38+00:00",
        100,
        1
      ],
      [
        "4nNjLSZ4DbGpdcrznqXU3TdTSwi1RknXP9CT1y1hcJyb",
        900,
        "CAMMCzo5YL8w4VFF8KVHrK22GGUsp5VTaW7grrKgrWqK",
        "Raydium CLMM",
        "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
        "USDC",
        6,
        "FgyEKM1DVzRdLR3AuEvf39ArTtFdEdnaefnBURSvuPvb",
        "RDUS",
        9,
        "2026-08-02T12:26:43+00:00",
        100,
        1
      ],
      [
        "5hDabLS7nkXwZ4QzMtm3GyuScrmhwkJstWVkJDhKNFiE",
        900,
        "CAMMCzo5YL8w4VFF8KVHrK22GGUsp5VTaW7grrKgrWqK",
        "Raydium CLMM",
        "8d5krtToMwSCDgndfP3eiz5tgbDduSXzbG9y4Qj6nJSK",
        "RSDU",
        9,
        "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
        "USDC",
        6,
        "2026-08-02T11:50:21+00:00",
        100,
        1
      ],
      [
        "2Ebe4iNoMEUbjixjzfdUoXh4qpddDCe2ff4B9xm5zGHA",
        900,
        "CAMMCzo5YL8w4VFF8KVHrK22GGUsp5VTaW7grrKgrWqK",
        "Raydium CLMM",
        "9x7tDhKJonFwTXfWME56oA1BwQfLdpybgDXc4UkJ797b",
        "MVP",
        9,
        "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
        "USDC",
        6,
        "2026-08-02T06:29:27+00:00",
        100,
        1
      ],
      [
        "CFfPxfzrvaiydwZsZwVo33JbuDgrjjVTr5BUCyd2i39a",
        900,
        "CAMMCzo5YL8w4VFF8KVHrK22GGUsp5VTaW7grrKgrWqK",
        "Raydium CLMM",
        "6RFwqTYdML3gaGjWygte9VBja7kmNH6CenHTszbQLbtx",
        "MVP",
        9,
        "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
        "USDC",
        6,
        "2026-08-02T06:17:01+00:00",
        100,
        1
      ]
    ],
    "rows": 5
  }
]

With limit=5&offset=10, exactly 5 pool records are returned (rows: 5), skipping the first 10 pools in the default ordering. This demonstrates pagination over the full pool list.

x402 Payment Option

This endpoint supports pay-per-use access via the x402 payment protocol (v2): pay $0.05 USDC per request using blockchain micropayments. No API key required.

Quick Start (TypeScript)

npm install @x402/fetch @x402/evm viem
import { x402Client } from "@x402/core/client";
import { ExactEvmScheme } from "@x402/evm/exact/client";
import { wrapFetchWithPayment } from "@x402/fetch";
import { privateKeyToAccount } from "viem/accounts";

const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
const client = new x402Client();
client.register("eip155:*", new ExactEvmScheme(signer));

const fetchWithPayment = wrapFetchWithPayment(fetch, client);
const response = await fetchWithPayment(
  "https://x402.cambrian.org/solana/raydium-clmm/pools"
);
const data = await response.json();

Quick Start (Python)

pip install "x402[httpx]"
import asyncio, os
from eth_account import Account
from x402 import x402Client
from x402.http.clients import x402HttpxClient
from x402.mechanisms.evm import EthAccountSigner
from x402.mechanisms.evm.exact.register import register_exact_evm_client

async def main():
    client = x402Client()
    account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
    register_exact_evm_client(client, EthAccountSigner(account))

    async with x402HttpxClient(client) as http:
        response = await http.get("https://x402.cambrian.org/solana/raydium-clmm/pools")
        print(response.json())

asyncio.run(main())

Payment Flow

  1. Send a normal request to the endpoint (no API key needed)
  2. Server returns 402 Payment Required with payment details
  3. The x402 SDK automatically signs a payment authorization with your wallet
  4. The SDK resubmits the request with the signed payment
  5. Server verifies payment and returns the API response

The x402 SDK handles steps 2 through 5 automatically.

Network: Base (chain ID 8453) | Currency: USDC | Price: $0.05 per request


Related Endpoints

  • /solana/raydium-clmm/pool - This endpoint returns pool info for a specific raydium clmm pool. Among metrics returned are, tvl, apr24h, volume24h
  • /solana/raydium-clmm/pool-multi - Get comprehensive overview metrics for multiple pools/pairs simultaneously within the same DEX. Returns pool details including price, volume, trades, and token information.
  • /solana/orca/pools - Retrieves a list of all Orca pools registered in the backend database (orca_pool_registry_target). It provides essential static information about each pool.
  • /solana/meteora-dlmm/pools - This endpoint lists meteora pools
  • /solana/token-pool-search - Find pools containing a specific token and retrieve comprehensive trading statistics including 24h volume, trade counts, and buy/sell ratios. Essential for token analysis, liquidity discovery, and identifying the most active trading venues for any token.